## Class Auth_OpenID_CheckAuthRequest

Description

A request to verify the validity of a previous response.

Located in /Auth/OpenID/Server.php (line 352)

    Auth_OpenID_Request
       |
       --Auth_OpenID_CheckAuthRequest

Variable Summary
mixed $invalidate_handle
mixed $mode
Method Summary
Auth_OpenID_CheckAuthRequest Auth_OpenID_CheckAuthRequest ( $assoc_handle, $signed, [ $invalidate_handle = null])
void answer ( &$signatory)
void fromMessage ( $message, [ $server = null])
Variables
mixed $invalidate_handle = null (line 354)
mixed $mode = "check_authentication" (line 353)

Redefinition of:

Auth_OpenID_Request::$mode

Methods
Constructor Auth_OpenID_CheckAuthRequest (line 356)
Auth_OpenID_CheckAuthRequest Auth_OpenID_CheckAuthRequest ( $assoc_handle, $signed, [ $invalidate_handle = null])

- $assoc_handle
- $signed
- $invalidate_handle

answer (line 398)
void answer ( &$signatory)

- &$signatory

fromMessage (line 368)
void fromMessage ( $message, [ $server = null])

- $message
- $server

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2